#!/usr/bin/env bash
set -euo pipefail

cd /var/backups/lxd
for i in $(lxc list --format csv -c n); do
  # Don't use --optimized-storage as Borg will not be able to compress or chunk
  # it properly
  echo "Backuping ${i}..."
  lxc export $i ${i}.tar --instance-only --compression none
done
